# CUpti_ActivityPreemption Struct Reference
[CUPTI Activity API]

The activity record for a preemption of a CDP kernel. More...

## Data Fields
uint32_t | blockX
uint32_t | blockY
uint32_t | blockZ
int64_t | gridId
CUpti_ActivityKind | kind
uint32_t | pad
CUpti_ActivityPreemptionKind | preemptionKind
uint64_t | timestamp

## Detailed Description

This activity record represents a preemption of a CDP kernel.

## Field Documentation

uint32_t CUpti_ActivityPreemption::blockX

The X-dimension of the block that is preempted

uint32_t CUpti_ActivityPreemption::blockY

The Y-dimension of the block that is preempted

uint32_t CUpti_ActivityPreemption::blockZ

The Z-dimension of the block that is preempted

int64_t CUpti_ActivityPreemption::gridId

The grid-id of the block that is preempted

CUpti_ActivityKind CUpti_ActivityPreemption::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_PREEMPTION

uint32_t CUpti_ActivityPreemption::pad

Undefined. Reserved for internal use.

CUpti_ActivityPreemptionKind CUpti_ActivityPreemption::preemptionKind

kind of the preemption

uint64_t CUpti_ActivityPreemption::timestamp

The timestamp of the preemption, in ns. A value of 0 indicates that timestamp information could not be collected for the preemption.